Bug 254256 (kf5-5.80.0) - [exp-run] Update KDE Frameworks to 5.80.0
Summary: [exp-run] Update KDE Frameworks to 5.80.0
Status: Closed FIXED
Alias: kf5-5.80.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-13 14:12 UTC by Tobias C. Berner
Modified: 2021-03-19 15:28 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (97.38 KB, patch)
2021-03-13 14:12 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-03-13 14:12:29 UTC
Created attachment 223230 [details]
v1

Moin moin

kde@ would like to ask for an exp-run to upgrade KF5 to 5.80.

The patch is attached, and can also be found here:

https://people.freebsd.org/~tcberner/patches/kf5-5.80.0.v1.diff



mfg Tobias
Comment 2 commit-hook freebsd_committer 2021-03-18 23:43:56 UTC
A commit references this bug:

Author: adridg
Date: Thu Mar 18 23:43:40 UTC 2021
New revision: 568764
URL: https://svnweb.freebsd.org/changeset/ports/568764

Log:
  Update deskutils/semantik to latest upstream release

  This is prompted by the imminent release of KDE Frameworks 5.80,
  which had fallout with this software. I have no patience with
  waf as a build system, so this adds some hacks to include
  absolute paths to the KF5 includes, rather than -I../../../KConfig
  -I../../../../KConfig (on the off chance you might be one source
  level higher or lower; this is what the build system is doing
  without hacks).

  PR:		254256 (fallout)

Changes:
  head/deskutils/semantik/Makefile
  head/deskutils/semantik/distinfo
  head/deskutils/semantik/files/
  head/deskutils/semantik/files/patch-wscript
Comment 3 Adriaan de Groot freebsd_committer 2021-03-18 23:46:37 UTC
Also r568765 for fcitx5-configtool. That's all the new failures (both of the changes in reaction to fallout also build with the current KDE frameworks).
Comment 4 Antoine Brodin freebsd_committer 2021-03-19 08:09:56 UTC
If you tested the 2 failing ports,  exp-run should be fine
Comment 5 commit-hook freebsd_committer 2021-03-19 15:25:34 UTC
A commit references this bug:

Author: tcberner
Date: Fri Mar 19 15:25:08 UTC 2021
New revision: 568803
URL: https://svnweb.freebsd.org/changeset/ports/568803

Log:
  Update KDE Frameworks to 5.80.'

  Saturday, 13 March 2021

  KDE today announces the release of KDE Frameworks 5.80.0.

  KDE Frameworks are 83 addon libraries to Qt which provide a wide variety of
  commonly needed functionality in mature, peer reviewed and well tested
  libraries with friendly licensing terms. For an introduction see the KDE
  Frameworks release announcement.

  This release is part of a series of planned monthly releases making
  improvements available to developers in a quick and predictable manner.

  Announcement:
  	https://kde.org/announcements/frameworks/5/5.80.0/

  PR:		254256
  Exp-run by:	antoine
  Fallout-fixes by:	adridg

Changes:
  head/Mk/Uses/kde.mk
  head/archivers/kf5-karchive/distinfo
  head/devel/kf5-extra-cmake-modules/distinfo
  head/devel/kf5-extra-cmake-modules/pkg-plist
  head/devel/kf5-kapidox/distinfo
  head/devel/kf5-kapidox/pkg-plist
  head/devel/kf5-kauth/distinfo
  head/devel/kf5-kbookmarks/distinfo
  head/devel/kf5-kcmutils/distinfo
  head/devel/kf5-kconfig/distinfo
  head/devel/kf5-kcoreaddons/distinfo
  head/devel/kf5-kcoreaddons/pkg-plist
  head/devel/kf5-kcrash/distinfo
  head/devel/kf5-kdbusaddons/distinfo
  head/devel/kf5-kdeclarative/distinfo
  head/devel/kf5-kdoctools/distinfo
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/kf5-kfilemetadata/distinfo
  head/devel/kf5-ki18n/distinfo
  head/devel/kf5-kidletime/distinfo
  head/devel/kf5-kio/Makefile
  head/devel/kf5-kio/distinfo
  head/devel/kf5-kio/pkg-plist
  head/devel/kf5-kitemmodels/distinfo
  head/devel/kf5-knewstuff/distinfo
  head/devel/kf5-knotifications/distinfo
  head/devel/kf5-knotifyconfig/distinfo
  head/devel/kf5-kpackage/distinfo
  head/devel/kf5-kparts/distinfo
  head/devel/kf5-kpeople/distinfo
  head/devel/kf5-kpty/distinfo
  head/devel/kf5-kservice/distinfo
  head/devel/kf5-ktexteditor/distinfo
  head/devel/kf5-kunitconversion/distinfo
  head/devel/kf5-solid/distinfo
  head/devel/kf5-threadweaver/distinfo
  head/dns/kf5-kdnssd/Makefile
  head/dns/kf5-kdnssd/distinfo
  head/graphics/kf5-kimageformats/Makefile
  head/graphics/kf5-kimageformats/distinfo
  head/graphics/kf5-kplotting/distinfo
  head/graphics/kf5-kquickcharts/distinfo
  head/graphics/kf5-prison/distinfo
  head/lang/kf5-kross/distinfo
  head/misc/kf5-purpose/distinfo
  head/multimedia/kf5-kmediaplayer/distinfo
  head/net/kf5-kcalendarcore/distinfo
  head/net/kf5-kcontacts/distinfo
  head/net/kf5-kdav/distinfo
  head/net/kf5-kdav/pkg-plist
  head/net/kf5-kholidays/distinfo
  head/net/kf5-kxmlrpcclient/distinfo
  head/net/kf5-syndication/distinfo
  head/security/kf5-kdesu/distinfo
  head/sysutils/kf5-baloo/distinfo
  head/sysutils/kf5-baloo/pkg-plist
  head/sysutils/kf5-kwallet/distinfo
  head/textproc/kf5-kcodecs/distinfo
  head/textproc/kf5-sonnet/distinfo
  head/textproc/kf5-syntax-highlighting/Makefile
  head/textproc/kf5-syntax-highlighting/distinfo
  head/www/kf5-kdewebkit/distinfo
  head/www/kf5-khtml/distinfo
  head/www/kf5-kjs/distinfo
  head/www/kf5-kjsembed/distinfo
  head/x11/kf5-frameworkintegration/distinfo
  head/x11/kf5-kactivities/distinfo
  head/x11/kf5-kactivities-stats/distinfo
  head/x11/kf5-kded/distinfo
  head/x11/kf5-kdelibs4support/distinfo
  head/x11/kf5-kglobalaccel/distinfo
  head/x11/kf5-kinit/distinfo
  head/x11/kf5-krunner/distinfo
  head/x11/kf5-krunner/pkg-plist
  head/x11/kf5-kwayland/distinfo
  head/x11/kf5-kwindowsystem/distinfo
  head/x11/kf5-plasma-framework/distinfo
  head/x11/kf5-plasma-framework/pkg-plist
  head/x11-themes/kf5-breeze-icons/distinfo
  head/x11-themes/kf5-breeze-icons/pkg-plist
  head/x11-themes/kf5-kemoticons/distinfo
  head/x11-themes/kf5-kiconthemes/distinfo
  head/x11-themes/kf5-oxygen-icons5/distinfo
  head/x11-themes/kf5-qqc2-desktop-style/distinfo
  head/x11-toolkits/kf5-attica/distinfo
  head/x11-toolkits/kf5-kcompletion/distinfo
  head/x11-toolkits/kf5-kconfigwidgets/distinfo
  head/x11-toolkits/kf5-kdesignerplugin/distinfo
  head/x11-toolkits/kf5-kguiaddons/distinfo
  head/x11-toolkits/kf5-kirigami2/distinfo
  head/x11-toolkits/kf5-kirigami2/pkg-plist
  head/x11-toolkits/kf5-kitemviews/distinfo
  head/x11-toolkits/kf5-kjobwidgets/distinfo
  head/x11-toolkits/kf5-ktextwidgets/distinfo
  head/x11-toolkits/kf5-kwidgetsaddons/distinfo
  head/x11-toolkits/kf5-kxmlgui/distinfo
Comment 6 Tobias C. Berner freebsd_committer 2021-03-19 15:28:59 UTC
Committed. Thanks for the exp-run and the fixes.

I'll update devel/kf5-kio to the bug-fix release 5.80.1 soon.